Bug 1554714 - improve order of unicode matches
Summary: improve order of unicode matches
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus   
(Show other bugs)
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-13 08:39 UTC by Jens Petersen
Modified: 2018-04-03 13:27 UTC (History)
3 users (show)

Fixed In Version: ibus-1.5.18-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-04-03 13:27:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2018-03-13 08:39:39 UTC
Description of problem:
I am not sure how ibus emoji sorts its search results.
I think it should put best matches first and then maybe
just sort remaining matches by codepoint.

Version-Release number of selected component (if applicable):
ibus-1.5.18-1.fc28

How reproducible:
100%

Steps to Reproduce:
1. search for integral in ibus emoji

Actual results:
Best (simplest) result for INTEGRAL somewhere in the middle

Expected results:
Best match should be first.
Better to sort rest by codepoint perhaps.

Comment 1 fujiwara 2018-03-14 05:51:28 UTC
Currently emoji requires the complete match by default and Unicode works with the partial matches.

Probably I think the better enhancement is that the first is the completed match and the second is the partial matches.
I'm not sure if the code point order works for your purpose.

Comment 2 Jens Petersen 2018-03-15 09:05:48 UTC
(In reply to fujiwara from comment #1)
> Probably I think the better enhancement is that the first is the completed
> match and the second is the partial matches.

Okay this sounds good

Comment 3 Fedora Update System 2018-03-30 04:26:41 UTC
ibus-1.5.18-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7442c8ce1c

Comment 4 Fedora Update System 2018-03-30 15:18:40 UTC
ibus-1.5.18-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7442c8ce1c

Comment 5 Fedora Update System 2018-04-03 13:27:18 UTC
ibus-1.5.18-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.